WordPress.org

Support

Support » Plugins and Hacks » All In One WP Security & Firewall » [Resolved] Issue with update plugins (v1.4)

[Resolved] Issue with update plugins (v1.4)

  • I keep getting a 403 Permission Denied when I update plugins.
    Below is a sample of the words.

    Also I’ve using woocommerce to power my shopping cart and I noticed many items now cannot be purchased because it returns a 403 Permission Denied.

    Is there a way to make a version of this friendly to woocommerce? So features like adding to shopping cart and checkout could flow well.

    Thanks,
    Sid

    Downloading update from http://downloads.wordpress.org/plugin/woocommerce.2.0.12.zip…
    Unpacking the update…
    Installing the latest version…
    Removing the old version of the plugin…
    Plugin updated successfully.

    403 Permission Denied
    You do not have permission for this request /wp-admin/update.php?action=activate-plugin&success=true&plugin=woocommerce/woocommerce.php&_wpnonce=932690445c

    http://wordpress.org/extend/plugins/all-in-one-wp-security-and-firewall/

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author mra13

    @mra13

    Just to confirm, you see this issue in v1.4 of our plugin or this was happening before?

    Do you have the bad query firewall rule enabled in the security plugin? If you do can you turn it off then try the update process?

    Plugin Contributor Peter Petreski

    @peter-petreski

    This is because your system still has the old rules for “Deny Bad Query Strings” written in your htaccess file.
    Just do the following simple steps to fix this:

    1) After installing version 1.4 of All In One WP Security simply go to the firewall settings and disable the “Deny Bad Query Strings” checkbox and then save your settings.

    2) Then re-enable the same checkbox and save your settings again.

    This will overwrite the old “Deny Bad Query Strings” rules with the new ones and will fix the issue.

    This has been happening since version 1.0 and yes I did have the bad query firewall rule enabled. I have it disabled now.

    Regarding the plugins updates, I think even though that 403 message is been displayed, the pluggins are being updated because the update links afterwards are gone.

    I really like the All In One WP Security & Firewall. It has given me a good understanding of many important security points. I’m just a little disappointed with the firewall. I wish there was a way to maintain site functionality with some advanced firewall protection. Especially for the WooCommerce shopping cart, which seems to be a very fast growing segment of the WP community.

    Thanks,
    Sid

    Plugin Contributor Peter Petreski

    @peter-petreski

    Hi Sid,
    As stated in my previous reply, if you re-enable the “Deny Bad Query Strings” again you will find that you will no longer see the problem because we have updated the rules in version 1.4 to fix this.

    Will do. Thanks!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] Issue with update plugins (v1.4)’ is closed to new replies.
Skip to toolbar